# SYSCS_UTIL.SYSCS_GET_DATABASE_PROPERTY system function

The `SYSCS_UTIL.SYSCS_GET_DATABASE_PROPERTY` function fetches the value of the specified property of the database on the current connection.

If the value that was set for the property is invalid, the `SYSCS_UTIL.SYSCS_GET_DATABASE_PROPERTY` function returns the invalid value, but Derby uses the default value.

#### Syntax

    VARCHAR(32762) SYSCS_UTIL.SYSCS_GET_DATABASE_PROPERTY(IN KEY VARCHAR(128))

An error will be returned if KEY is null.

#### SQL example

Retrieve the value of the `derby.locks.deadlockTimeout` property:

    VALUES SYSCS_UTIL.SYSCS_GET_DATABASE_PROPERTY('derby.locks.deadlockTimeout');

Parent topic: Built-in system functions